CE 7.5.1 installer can't connect to MySQL 8.0

Problems with installing LogicalDOC? No problems, the solution is closer than you think.

Moderator: car031

zay7sev
Posts: 3
Joined: Sat Dec 08, 2018 12:58 pm

CE 7.5.1 installer can't connect to MySQL 8.0

Sat Dec 08, 2018 1:03 pm

Hello.
I work as an IT in bank.
I am trying to transfer our existing LogicalDOC CE 7.5.1 database to a new virtual machine.
I have installed MySQL Community Server 8.0 but when i try to do a fresh install of LogicalDOC CE 7.5.1 it says that cannot connect to the database.

Login credentials are correct since i use for a localhost connection password like 1234567.

My main question is which MySQL Connector/J i have to use in order to connect the LD to the database ?
agaspa
Posts: 691
Joined: Tue Apr 20, 2010 8:24 am

Re: CE 7.5.1 installer can't connect to MySQL 8.0

Thu Dec 13, 2018 11:04 am

Hi @zay7sev,
in the latest release of LogicalDOC CE 8.1 we used MySQL Connector/J version 5.1.46
mysql-connector-java-5.1.46.jar
Br.
Alex
zay7sev
Posts: 3
Joined: Sat Dec 08, 2018 12:58 pm

Re: CE 7.5.1 installer can't connect to MySQL 8.0

Fri May 31, 2019 4:28 pm

Hello @agaspa,

Thank you for your reply.
Is it possible to migrate the current state of the database and documents from 7.5.1 to 8.1 manually ? The current stuff that we have already in is critical for our organization so it should not be lost.

As far as i was able to read and crosscheck information there is no direct upgrade.
agaspa
Posts: 691
Joined: Tue Apr 20, 2010 8:24 am

Re: CE 7.5.1 installer can't connect to MySQL 8.0

Wed Jun 05, 2019 3:15 pm

Hi @zay7sev,
technically it is possible, however an update for the community version from 7.5.1 to 8.1 has not yet been produced.
It would be a matter of executing a number of SQL statements to update the database to the 8.1 version schema. At the moment this type of update is only available for commercial versions of the product.
However, you could analyze the differences in the database schema between the two versions and produce an update script.
You should simply compare the database creation scripts of version 7.5.1 and that of 8.1 starting from the sources https://sourceforge.net/projects/logica ... s/sources/
Br.
Alex
agaspa
Posts: 691
Joined: Tue Apr 20, 2010 8:24 am

Re: CE 7.5.1 installer can't connect to MySQL 8.0

Thu Jun 06, 2019 10:13 am

Hi @zay7sev,
you can also install LD CE 8.1 on a different db schema then try mysqldiff to get the changes
https://docs.oracle.com/cd/E17952_01/my ... ldiff.html

See also https://wiki.logicaldoc.com/wiki/LDCE_M ... 7.3_to_7.4
zay7sev
Posts: 3
Joined: Sat Dec 08, 2018 12:58 pm

Re: CE 7.5.1 installer can't connect to MySQL 8.0

Fri Jul 05, 2019 3:07 pm

agaspa wrote:
Thu Jun 06, 2019 10:13 am
Hi @zay7sev,
you can also install LD CE 8.1 on a different db schema then try mysqldiff to get the changes
https://docs.oracle.com/cd/E17952_01/my ... ldiff.html

See also https://wiki.logicaldoc.com/wiki/LDCE_M ... 7.3_to_7.4

Hi @agaspa,

Thank you for the detailed information.
I will follow your suggestions and will see what i can do about it.

Return to “Installation”

Who is online

Users browsing this forum: Google [Bot], Majestic-12 [Bot] and 1 guest